package models

type EmrBloodDialyRecord struct {
	ReqNo              string  `gorm:"column:REQ_NO" json:"REQ_NO" form:"REQ_NO"`
	Patientname        string  `gorm:"column:PATIENTNAME" json:"PATIENTNAME" form:"PATIENTNAME"`
	Idcard             string  `gorm:"column:IDCARD" json:"IDCARD" form:"IDCARD"`
	Hospitalcode       string  `gorm:"column:HOSPITALCODE" json:"HOSPITALCODE" form:"HOSPITALCODE"`
	Hospitalname       string  `gorm:"column:HOSPITALNAME" json:"HOSPITALNAME" form:"HOSPITALNAME"`
	AdmissionId        string  `gorm:"column:ADMISSION_ID" json:"ADMISSION_ID" form:"ADMISSION_ID"`
	SexCode            string  `gorm:"column:SEX_CODE" json:"SEX_CODE" form:"SEX_CODE"`
	SexName            string  `gorm:"column:SEX_NAME" json:"SEX_NAME" form:"SEX_NAME"`
	Age                int64   `gorm:"column:AGE" json:"AGE" form:"AGE"`
	AgeMonth           int64   `gorm:"column:AGE_MONTH" json:"AGE_MONTH" form:"AGE_MONTH"`
	SickbedNum         string  `gorm:"column:SICKBED_NUM" json:"SICKBED_NUM" form:"SICKBED_NUM"`
	BdDate             string  `gorm:"column:BD_DATE" json:"BD_DATE" form:"BD_DATE"`
	BdMatno            string  `gorm:"column:BD_MATNO" json:"BD_MATNO" form:"BD_MATNO"`
	Temperature        float64 `gorm:"column:TEMPERATURE" json:"TEMPERATURE" form:"TEMPERATURE"`
	PulseRate          float64 `gorm:"column:PULSE_RATE" json:"PULSE_RATE" form:"PULSE_RATE"`
	BreathingRate      float64 `gorm:"column:BREATHING_RATE" json:"BREATHING_RATE" form:"BREATHING_RATE"`
	PressureH          float64 `gorm:"column:PRESSURE_H" json:"PRESSURE_H" form:"PRESSURE_H"`
	PressureL          float64 `gorm:"column:PRESSURE_L" json:"PRESSURE_L" form:"PRESSURE_L"`
	UfvLimit           float64 `gorm:"column:UFV_LIMIT" json:"UFV_LIMIT" form:"UFV_LIMIT"`
	Anticoagulant      string  `gorm:"column:ANTICOAGULANT" json:"ANTICOAGULANT" form:"ANTICOAGULANT"`
	FirstAnticoagulant float64 `gorm:"column:FIRST_ANTICOAGULANT" json:"FIRST_ANTICOAGULANT" form:"FIRST_ANTICOAGULANT"`
	BdCruor            string  `gorm:"column:BD_CRUOR" json:"BD_CRUOR" form:"BD_CRUOR"`
	BdCruorName        string  `gorm:"column:BD_CRUOR_NAME" json:"BD_CRUOR_NAME" form:"BD_CRUOR_NAME"`
	BdMachine          string  `gorm:"column:BD_MACHINE" json:"BD_MACHINE" form:"BD_MACHINE"`
	BdTimes            int64   `gorm:"column:BD_TIMES" json:"BD_TIMES" form:"BD_TIMES"`
	BdHours            int64   `gorm:"column:BD_HOURS" json:"BD_HOURS" form:"BD_HOURS"`
	BdType             int64   `gorm:"column:BD_TYPE" json:"BD_TYPE" form:"BD_TYPE"`
	BdTypeName         string  `gorm:"column:BD_TYPE_NAME" json:"BD_TYPE_NAME" form:"BD_TYPE_NAME"`
	BdT                float64 `gorm:"column:BD_T" json:"BD_T" form:"BD_T"`
	AnticoagulantTotal float64 `gorm:"column:ANTICOAGULANT_TOTAL" json:"ANTICOAGULANT_TOTAL" form:"ANTICOAGULANT_TOTAL"`
	AnticoagulantKeep  float64 `gorm:"column:ANTICOAGULANT_KEEP" json:"ANTICOAGULANT_KEEP" form:"ANTICOAGULANT_KEEP"`
	BdCruorContiton    string  `gorm:"column:BD_CRUOR_CONTITON" json:"BD_CRUOR_CONTITON" form:"BD_CRUOR_CONTITON"`
	PatientWeight      float64 `gorm:"column:PATIENT_WEIGHT" json:"PATIENT_WEIGHT" form:"PATIENT_WEIGHT"`
	WeightBf           float64 `gorm:"column:WEIGHT_BF" json:"WEIGHT_BF" form:"WEIGHT_BF"`
	WeightAf           float64 `gorm:"column:WEIGHT_AF" json:"WEIGHT_AF" form:"WEIGHT_AF"`
	WeightBalan        float64 `gorm:"column:WEIGHT_BALAN" json:"WEIGHT_BALAN" form:"WEIGHT_BALAN"`
	RecipeCa           int64   `gorm:"column:RECIPE_CA" json:"RECIPE_CA" form:"RECIPE_CA"`
	RecipeK            int64   `gorm:"column:RECIPE_K" json:"RECIPE_K" form:"RECIPE_K"`
	Compli             string  `gorm:"column:COMPLI" json:"COMPLI" form:"COMPLI"`
	DiaAf              string  `gorm:"column:DIA_AF" json:"DIA_AF" form:"DIA_AF"`
	Comfort            string  `gorm:"column:COMFORT" json:"COMFORT" form:"COMFORT"`
	ComfortName        string  `gorm:"column:COMFORT_NAME" json:"COMFORT_NAME" form:"COMFORT_NAME"`
	Vascular           string  `gorm:"column:VASCULAR" json:"VASCULAR" form:"VASCULAR"`
	Notes              string  `gorm:"column:NOTES" json:"NOTES" form:"NOTES"`
	OperName           string  `gorm:"column:OPER_NAME" json:"OPER_NAME" form:"OPER_NAME"`
	CheckName          string  `gorm:"column:CHECK_NAME" json:"CHECK_NAME" form:"CHECK_NAME"`
	PrimaryName        string  `gorm:"column:PRIMARY_NAME" json:"PRIMARY_NAME" form:"PRIMARY_NAME"`
	DoctorName         string  `gorm:"column:DOCTOR_NAME" json:"DOCTOR_NAME" form:"DOCTOR_NAME"`
	Orglevel           string  `gorm:"column:ORGLEVEL" json:"ORGLEVEL" form:"ORGLEVEL"`
	Submitdate         string  `gorm:"column:SUBMITDATE" json:"SUBMITDATE" form:"SUBMITDATE"`
	Recordstate        string  `gorm:"column:RECORDSTATE" json:"RECORDSTATE" form:"RECORDSTATE"`
	Fectchdate         string  `gorm:"column:FECTCHDATE" json:"FECTCHDATE" form:"FECTCHDATE"`
	OrganizationCode   string  `gorm:"column:ORGANIZATION_CODE" json:"ORGANIZATION_CODE" form:"ORGANIZATION_CODE"`
	OrganizationName   string  `gorm:"column:ORGANIZATION_NAME" json:"ORGANIZATION_NAME" form:"ORGANIZATION_NAME"`
	DistrictCode       string  `gorm:"column:DISTRICT_CODE" json:"DISTRICT_CODE" form:"DISTRICT_CODE"`
	DistrictName       string  `gorm:"column:DISTRICT_NAME" json:"DISTRICT_NAME" form:"DISTRICT_NAME"`
	Uploadmark         string  `gorm:"column:UPLOADMARK" json:"UPLOADMARK" form:"UPLOADMARK"`
	Recordid           string  `gorm:"column:RECORDID" json:"RECORDID" form:"RECORDID"`
	Businessyear       int64   `gorm:"column:BUSINESSYEAR" json:"BUSINESSYEAR" form:"BUSINESSYEAR"`
}

func (EmrBloodDialyRecord) TableName() string {
	return "EMR_BLOOD_DIALY_RECORD"
}

type EmrBloodDialyDetail struct {
	Id               string  `gorm:"column:ID" json:"ID" form:"ID"`
	ReqNo            string  `gorm:"column:REQ_NO" json:"REQ_NO" form:"REQ_NO"`
	Patientname      string  `gorm:"column:PATIENTNAME" json:"PATIENTNAME" form:"PATIENTNAME"`
	Idcard           string  `gorm:"column:IDCARD" json:"IDCARD" form:"IDCARD"`
	Hospitalcode     string  `gorm:"column:HOSPITALCODE" json:"HOSPITALCODE" form:"HOSPITALCODE"`
	Hospitalname     string  `gorm:"column:HOSPITALNAME" json:"HOSPITALNAME" form:"HOSPITALNAME"`
	BdDate           string  `gorm:"column:BD_DATE" json:"BD_DATE" form:"BD_DATE"`
	BdBp             string  `gorm:"column:BD_BP" json:"BD_BP" form:"BD_BP"`
	BdT              float64 `gorm:"column:BD_T" json:"BD_T" form:"BD_T"`
	BdRate           float64 `gorm:"column:BD_RATE" json:"BD_RATE" form:"BD_RATE"`
	BdFlow           float64 `gorm:"column:BD_FLOW" json:"BD_FLOW" form:"BD_FLOW"`
	BdVbp            float64 `gorm:"column:BD_VBP" json:"BD_VBP" form:"BD_VBP"`
	BdTmp            float64 `gorm:"column:BD_TMP" json:"BD_TMP" form:"BD_TMP"`
	BdUfvLimit       float64 `gorm:"column:BD_UFV_LIMIT" json:"BD_UFV_LIMIT" form:"BD_UFV_LIMIT"`
	Orglevel         string  `gorm:"column:ORGLEVEL" json:"ORGLEVEL" form:"ORGLEVEL"`
	Submitdate       string  `gorm:"column:SUBMITDATE" json:"SUBMITDATE" form:"SUBMITDATE"`
	Recordstate      string  `gorm:"column:RECORDSTATE" json:"RECORDSTATE" form:"RECORDSTATE"`
	Fectchdate       string  `gorm:"column:FECTCHDATE" json:"FECTCHDATE" form:"FECTCHDATE"`
	OrganizationCode string  `gorm:"column:ORGANIZATION_CODE" json:"ORGANIZATION_CODE" form:"ORGANIZATION_CODE"`
	OrganizationName string  `gorm:"column:ORGANIZATION_NAME" json:"ORGANIZATION_NAME" form:"ORGANIZATION_NAME"`
	DistrictCode     string  `gorm:"column:DISTRICT_CODE" json:"DISTRICT_CODE" form:"DISTRICT_CODE"`
	DistrictName     string  `gorm:"column:DISTRICT_NAME" json:"DISTRICT_NAME" form:"DISTRICT_NAME"`
	Uploadmark       string  `gorm:"column:UPLOADMARK" json:"UPLOADMARK" form:"UPLOADMARK"`
	Recordid         string  `gorm:"column:RECORDID" json:"RECORDID" form:"RECORDID"`
	Businessyear     int64   `gorm:"column:BUSINESSYEAR" json:"BUSINESSYEAR" form:"BUSINESSYEAR"`
}

func (EmrBloodDialyDetail) TableName() string {
	return "EMR_BLOOD_DIALY_DETAIL"
}

type EmrBloodDialyOrder struct {
	Id               string `gorm:"column:ID" json:"ID" form:"ID"`
	ReqNo            string `gorm:"column:REQ_NO" json:"REQ_NO" form:"REQ_NO"`
	OrderType        string `gorm:"column:ORDER_TYPE" json:"ORDER_TYPE" form:"ORDER_TYPE"`
	OrderDate        string `gorm:"column:ORDER_DATE" json:"ORDER_DATE" form:"ORDER_DATE"`
	OrderName        string `gorm:"column:ORDER_NAME" json:"ORDER_NAME" form:"ORDER_NAME"`
	Dosage           string `gorm:"column:DOSAGE" json:"DOSAGE" form:"DOSAGE"`
	Usage            string `gorm:"column:USAGE" json:"USAGE" form:"USAGE"`
	ExecDate         string `gorm:"column:EXEC_DATE" json:"EXEC_DATE" form:"EXEC_DATE"`
	DoctorName       string `gorm:"column:DOCTOR_NAME" json:"DOCTOR_NAME" form:"DOCTOR_NAME"`
	NurseName        string `gorm:"column:NURSE_NAME" json:"NURSE_NAME" form:"NURSE_NAME"`
	Orglevel         string `gorm:"column:ORGLEVEL" json:"ORGLEVEL" form:"ORGLEVEL"`
	Submitdate       string `gorm:"column:SUBMITDATE" json:"SUBMITDATE" form:"SUBMITDATE"`
	Recordstate      string `gorm:"column:RECORDSTATE" json:"RECORDSTATE" form:"RECORDSTATE"`
	Fectchdate       string `gorm:"column:FECTCHDATE" json:"FECTCHDATE" form:"FECTCHDATE"`
	OrganizationCode string `gorm:"column:ORGANIZATION_CODE" json:"ORGANIZATION_CODE" form:"ORGANIZATION_CODE"`
	OrganizationName string `gorm:"column:ORGANIZATION_NAME" json:"ORGANIZATION_NAME" form:"ORGANIZATION_NAME"`
	DistrictCode     string `gorm:"column:DISTRICT_CODE" json:"DISTRICT_CODE" form:"DISTRICT_CODE"`
	DistrictName     string `gorm:"column:DISTRICT_NAME" json:"DISTRICT_NAME" form:"DISTRICT_NAME"`
	Uploadmark       string `gorm:"column:UPLOADMARK" json:"UPLOADMARK" form:"UPLOADMARK"`
	Recordid         string `gorm:"column:RECORDID" json:"RECORDID" form:"RECORDID"`
	Businessyear     int64  `gorm:"column:BUSINESSYEAR" json:"BUSINESSYEAR" form:"BUSINESSYEAR"`
}

func (EmrBloodDialyOrder) TableName() string {
	return "EMR_BLOOD_DIALY_ORDER"
}

type DialysisOrder struct {
	ID                         int64  `gorm:"column:id" json:"id"`
	DialysisDate               int64  `gorm:"column:dialysis_date" json:"dialysis_date"`
	UserOrgId                  int64  `gorm:"column:user_org_id" json:"user_org_id"`
	PatientId                  int64  `gorm:"column:patient_id" json:"patient_id"`
	PrescriptionId             int64  `gorm:"column:prescription_id" json:"prescription_id"`
	Stage                      int64  `gorm:"column:stage" json:"stage"`
	Remark                     string `gorm:"column:remark" json:"remark"`
	BedID                      int64  `gorm:"column:bed_id" json:"bed_id"`
	StartNurse                 int64  `gorm:"column:start_nurse" json:"start_nurse"`
	FinishNurse                int64  `gorm:"column:finish_nurse" json:"finish_nurse"`
	Status                     int64  `gorm:"column:status" json:"status"`
	CreatedTime                int64  `gorm:"column:created_time" json:"created_time"`
	UpdatedTime                int64  `gorm:"column:updated_time" json:"updated_time"`
	StartTime                  int64  `gorm:"column:start_time" json:"start_time"`
	EndTime                    int64  `gorm:"column:end_time" json:"end_time"`
	PunctureNurse              int64  `gorm:"column:puncture_nurse" json:"puncture_nurse"`
	Creator                    int64  `gorm:"column:creator" json:"creator"`
	Modifier                   int64  `gorm:"column:modifier" json:"modifier"`
	FinishCreator              int64  `gorm:"column:finish_creator" json:"finish_creator"`
	FinishModifier             int64  `gorm:"column:finish_modifier" json:"finish_modifier"`
	SchedualType               int64  `gorm:"column:schedual_type" json:"schedual_type"`
	WashpipeNurse              int64  `gorm:"column:washpipe_nurse" json:"washpipe_nurse" form:"washpipe_nurse"`
	ChangeNurse                int64  `gorm:"column:change_nurse" json:"change_nurse" form:"change_nurse"`
	DifficultPunctureNurse     int64  `gorm:"column:difficult_puncture_nurse" json:"difficult_puncture_nurse" form:"difficult_puncture_nurse"`
	NewFistulaNurse            int64  `gorm:"column:new_fistula_nurse" json:"new_fistula_nurse" form:"new_fistula_nurse"`
	ZoneId                     int64  `gorm:"column:zone_id" json:"zone_id" form:"zone_id"`
	PuncturePointHaematoma     int64  `gorm:"column:puncture_point_haematoma" json:"puncture_point_haematoma" form:"puncture_point_haematoma"`
	BloodAccessInternalFistula string `gorm:"column:blood_access_internal_fistula" json:"blood_access_internal_fistula" form:"blood_access_internal_fistula"`
	Catheter                   string `gorm:"column:catheter" json:"catheter" form:"catheter"`
	Cruor                      string `gorm:"column:cruor" json:"cruor" form:"cruor"`
}

func (DialysisOrder) TableName() string {
	return "xt_dialysis_order"
}

type DialysisPrescription struct {
	ID                        int64   `gorm:"column:id" json:"id"`
	UserOrgId                 int64   `gorm:"column:user_org_id" json:"user_org_id"`
	PatientId                 int64   `gorm:"column:patient_id" json:"patient_id"`
	Dialyzer                  int64   `gorm:"column:dialyzer" json:"dialyzer"`
	MachineType               string  `gorm:"column:machine_type" json:"machine_type"`
	DewaterAmount             float64 `gorm:"column:dewater_amount" json:"dewater_amount"`
	PrescriptionDewatering    float64 `gorm:"column:prescription_dewatering" json:"prescription_dewatering"`
	Anticoagulant             int64   `gorm:"column:anticoagulant" json:"anticoagulant"`
	AnticoagulantShouji       float64 `gorm:"column:anticoagulant_shouji" json:"anticoagulant_shouji"`
	AnticoagulantWeichi       float64 `gorm:"column:anticoagulant_weichi" json:"anticoagulant_weichi"`
	AnticoagulantZongliang    float64 `gorm:"column:anticoagulant_zongliang" json:"anticoagulant_zongliang"`
	AnticoagulantGaimingcheng string  `gorm:"column:anticoagulant_gaimingcheng" json:"anticoagulant_gaimingcheng"`
	AnticoagulantGaijiliang   string  `gorm:"column:anticoagulant_gaijiliang" json:"anticoagulant_gaijiliang"`
	ModeId                    int64   `gorm:"column:mode_id" json:"mode_id"`
	DialysisDuration          float64 `gorm:"column:dialysis_duration" json:"dialysis_duration"`
	ReplacementTotal          float64 `gorm:"column:replacement_total" json:"replacement_total"`
	ReplacementWay            int64   `gorm:"column:replacement_way" json:"replacement_way"`
	HemodialysisMachine       int64   `gorm:"column:hemodialysis_machine" json:"hemodialysis_machine"`
	BloodFilter               int64   `gorm:"column:blood_filter" json:"blood_filter"`
	PerfusionApparatus        int64   `gorm:"column:perfusion_apparatus" json:"perfusion_apparatus"`
	//DryWeight                 float64 `gorm:"column:dry_weight" json:"dry_weight"`
	VascularAccessMode         int64         `gorm:"column:vascular_access_mode" json:"vascular_access_mode"`
	VascularAccess             int64         `gorm:"column:vascular_access" json:"vascular_access"`
	BloodFlowVolume            float64       `gorm:"column:blood_flow_volume" json:"blood_flow_volume"`
	DialysateFlow              float64       `gorm:"column:dialysate_flow" json:"dialysate_flow"`
	DisplaceLiqui              float64       `gorm:"column:displace_liqui" json:"displace_liqui"`
	Kalium                     float64       `gorm:"column:kalium" json:"kalium"`
	Sodium                     float64       `gorm:"column:sodium" json:"sodium"`
	Calcium                    float64       `gorm:"column:calcium" json:"calcium"`
	Bicarbonate                float64       `gorm:"column:bicarbonate" json:"bicarbonate"`
	Glucose                    float64       `gorm:"column:glucose" json:"glucose"`
	DialysateTemperature       float64       `gorm:"column:dialysate_temperature" json:"dialysate_temperature"`
	Conductivity               float64       `gorm:"column:conductivity" json:"conductivity"`
	PrescriptionDoctor         int64         `gorm:"column:prescription_doctor" json:"prescription_doctor"`
	Remark                     string        `gorm:"column:remark" json:"remark"`
	Status                     int64         `gorm:"column:status" json:"status"`
	CreatedTime                int64         `gorm:"column:created_time" json:"created_time"`
	UpdatedTime                int64         `gorm:"column:updated_time" json:"updated_time"`
	RecordDate                 int64         `gorm:"column:record_date" json:"record_date"`
	RecordId                   int64         `gorm:"column:record_id" json:"record_id"`
	Creater                    int64         `gorm:"column:creater" json:"creater"`
	Modifier                   int64         `gorm:"column:modifier" json:"modifier"`
	DialysisDurationHour       int64         `gorm:"column:dialysis_duration_hour" json:"dialysis_duration_hour"`
	DialysisDurationMinute     int64         `gorm:"column:dialysis_duration_minute" json:"dialysis_duration_minute"`
	DialysateFormulation       int64         `gorm:"column:dialysate_formulation" json:"dialysate_formulation"`
	TargetUltrafiltration      float64       `gorm:"column:target_ultrafiltration" json:"target_ultrafiltration"`
	DialyzerPerfusionApparatus string        `gorm:"column:dialyzer_perfusion_apparatus" json:"dialyzer_perfusion_apparatus"`
	BodyFluid                  int64         `gorm:"column:body_fluid" json:"body_fluid"`
	SpecialMedicine            int64         `gorm:"column:special_medicine" json:"special_medicine"`
	SpecialMedicineOther       string        `gorm:"column:special_medicine_other" json:"special_medicine_other"`
	DisplaceLiquiPart          int64         `gorm:"column:displace_liqui_part" json:"displace_liqui_part"`
	DisplaceLiquiValue         float64       `gorm:"column:displace_liqui_value" json:"displace_liqui_value"`
	BloodAccess                int64         `gorm:"column:blood_access" json:"blood_access"`
	Ultrafiltration            float64       `gorm:"column:ultrafiltration" json:"ultrafiltration"`
	BodyFluidOther             string        `gorm:"column:body_fluid_other" json:"body_fluid_other"`
	Niprocart                  int64         `gorm:"column:niprocart" json:"niprocart"`
	Jms                        int64         `gorm:"column:jms" json:"jms"`
	FistulaNeedleSet           int64         `gorm:"column:fistula_needle_set" json:"fistula_needle_set"`
	FistulaNeedleSet16         int64         `gorm:"column:fistula_needle_set_16" json:"fistula_needle_set_16"`
	Hemoperfusion              int64         `gorm:"column:hemoperfusion" json:"hemoperfusion"`
	DialyserSterilised         int64         `gorm:"column:dialyser_sterilised" json:"dialyser_sterilised"`
	Filtryzer                  int64         `gorm:"column:filtryzer" json:"filtryzer"`
	TargetKtv                  float64       `gorm:"column:target_ktv" json:"target_ktv"`
	Dialyzers                  int64         `gorm:"column:dialyzers" json:"dialyzers"`
	Injector                   int64         `gorm:"column:injector" json:"injector"`
	Bloodlines                 int64         `gorm:"column:bloodlines" json:"bloodlines"`
	TubingHemodialysis         int64         `gorm:"column:tubing_hemodialysis" json:"tubing_hemodialysis"`
	Package                    int64         `gorm:"column:package" json:"package"`
	ALiquid                    int64         `gorm:"column:a_liquid" json:"a_liquid"`
	UserAdminRole              UserAdminRole `json:"role" gorm:"foreignkey:AdminUserId;AssociationForeignKey:Creater;"`
	PreImpulse                 float64       `gorm:"column:pre_impulse" json:"pre_impulse" form:"pre_impulse"`
	AnticoagulantStopTimeMin   int64         `gorm:"column:anticoagulant_stop_time_min" json:"anticoagulant_stop_time_min" form:"anticoagulant_stop_time_min"`
	AnticoagulantStopTimeHour  int64         `gorm:"column:anticoagulant_stop_time_hour" json:"anticoagulant_stop_time_hour" form:"anticoagulant_stop_time_hour"`
	Blood                      string        `gorm:"column:blood" json:"blood"`
	DialysisDialyszers         string        `gorm:"column:dialysis_dialyszers" json:"dialysis_dialyszers" form:"dialysis_dialyszers"`
	DialysisIrrigation         string        `gorm:"column:dialysis_irrigation" json:"dialysis_irrigation" form:"dialysis_irrigation"`
	AntioxidantCommodityName   string        `gorm:"column:antioxidant_commodity_name" json:"antioxidant_commodity_name" form:"antioxidant_commodity_name"`
	DisplaceSpeed              string        `gorm:"column:displace_speed" json:"displace_speed" form:"displace_speed"`
	Illness                    int64         `gorm:"column:illness" json:"illness" form:"illness"`
	Amylaceum                  string        `gorm:"column:amylaceum" json:"amylaceum" form:"amylaceum"`
	SingleTime                 string        `gorm:"column:single_time" json:"single_time" form:"single_time"`
	SingleWater                string        `gorm:"column:single_water" json:"single_water" form:"single_water"`
	ReplacementFlow            string        `gorm:"column:replacement_flow" json:"replacement_flow" form:"replacement_flow"`
	PlasmaSeparator            string        `gorm:"column:plasma_separator" json:"plasma_separator" form:"plasma_separator"`
	BilirubinAdsorptionColumn  string        `gorm:"column:bilirubin_adsorption_column" json:"bilirubin_adsorption_column" form:"bilirubin_adsorption_column"`
	OxygenUptake               int64         `gorm:"column:oxygen_uptake" json:"oxygen_uptake" form:"oxygen_uptake"`
	OxygenFlow                 string        `gorm:"column:oxygen_flow" json:"oxygen_flow" form:"oxygen_flow"`
	OxygenTime                 string        `gorm:"column:oxygen_time" json:"oxygen_time" form:"oxygen_time"`
	HemodialysisPipelines      string        `gorm:"column:hemodialysis_pipelines" json:"hemodialysis_pipelines" form:"hemodialysis_pipelines"`
	HemodialysisPipelinesCount float64       `gorm:"column:hemodialysis_pipelines_count" json:"hemodialysis_pipelines_count" form:"hemodialysis_pipelines_count"`
	PunctureNeedle             string        `gorm:"column:puncture_needle" json:"puncture_needle" form:"puncture_needle"`
	PunctureNeedleCount        float64       `gorm:"column:puncture_needle_count" json:"puncture_needle_count" form:"puncture_needle_count"`
	Epo                        string        `gorm:"column:epo" json:"epo" form:"epo"`
	EpoCount                   float64       `gorm:"column:epo_count" json:"epo_count" form:"epo_count"`
	MaxUltrafiltrationRate     float64       `gorm:"column:max_ultrafiltration_rate" json:"max_ultrafiltration_rate" form:"max_ultrafiltration_rate"`
}

func (DialysisPrescription) TableName() string {
	return "xt_dialysis_prescription"
}

type PredialysisEvaluation struct {
	ID                          int64   `gorm:"column:id" json:"id"`
	UserOrgId                   int64   `gorm:"column:user_org_id" json:"user_org_id"`
	PatientId                   int64   `gorm:"column:patient_id" json:"patient_id"`
	AssessmentDate              int64   `gorm:"column:assessment_date" json:"assessment_date"`
	DialysisOrderId             int64   `gorm:"column:dialysis_order_id" json:"dialysis_order_id"`
	Temperature                 float64 `gorm:"column:temperature" json:"temperature"`
	PulseFrequency              float64 `gorm:"column:pulse_frequency" json:"pulse_frequency"`
	BreathingRate               float64 `gorm:"column:breathing_rate" json:"breathing_rate"`
	SystolicBloodPressure       float64 `gorm:"column:systolic_blood_pressure" json:"systolic_blood_pressure"`
	DiastolicBloodPressure      float64 `gorm:"column:diastolic_blood_pressure" json:"diastolic_blood_pressure"`
	BloodPressureType           int64   `gorm:"column:blood_pressure_type" json:"blood_pressure_type"`
	DryWeight                   float64 `gorm:"column:dry_weight" json:"dry_weight"`
	WeightAfterLastTransparency float64 `gorm:"column:weight_after_last_transparency" json:"weight_after_last_transparency"`
	WeighingWay                 string  `gorm:"column:weighing_way" json:"weighing_way"`
	WeighingBefore              float64 `gorm:"column:weighing_before" json:"weighing_before"`
	AdditionalWeight            float64 `gorm:"column:additional_weight" json:"additional_weight"`
	WeightBefore                float64 `gorm:"column:weight_before" json:"weight_before"`
	WeightGain                  float64 `gorm:"column:weight_gain" json:"weight_gain"`
	PreloadedDewatering         float64 `gorm:"column:preloaded_dewatering" json:"preloaded_dewatering"`
	UltrafiltrationAmount       float64 `gorm:"column:ultrafiltration_amount" json:"ultrafiltration_amount"`
	DialysisInterphase          string  `gorm:"column:dialysis_interphase" json:"dialysis_interphase"`
	LastPostDialysis            string  `gorm:"column:last_post_dialysis" json:"last_post_dialysis"`
	SymptomBeforeDialysis       string  `gorm:"column:symptom_before_dialysis" json:"symptom_before_dialysis"`
	InternalFistula             string  `gorm:"column:internal_fistula" json:"internal_fistula"`
	InternalFistulaSkin         string  `gorm:"column:internal_fistula_skin" json:"internal_fistula_skin"`
	Catheter                    string  `gorm:"column:catheter" json:"catheter"`
	CatheterBend                int     `gorm:"column:catheter_bend" json:"catheter_bend"`
	Complication                string  `gorm:"column:complication" json:"complication"`
	Evaluator                   int64   `gorm:"column:evaluator" json:"evaluator"`
	Creater                     int64   `gorm:"column:creater" json:"creater"`
	Remark                      string  `gorm:"column:remark" json:"remark"`
	Status                      int64   `gorm:"column:status" json:"status"`
	CreatedTime                 int64   `gorm:"column:created_time" json:"created_time"`
	UpdatedTime                 int64   `gorm:"column:updated_time" json:"updated_time"`
	Modifier                    int64   `gorm:"column:modifier" json:"modifier"`
	BloodAccessPartId           string  `gorm:"column:blood_access_part_id" json:"blood_access_part_id"`
	BloodAccessPartOperaId      int64   `gorm:"column:blood_access_part_opera_id" json:"blood_access_part_opera_id"`
	IsHemorrhage                int64   `gorm:"column:is_hemorrhage" json:"is_hemorrhage"`
	Hemorrhage                  string  `gorm:"column:hemorrhage" json:"hemorrhage"`
	HemorrhageOther             string  `gorm:"column:hemorrhage_other" json:"hemorrhage_other"`
	PunctureMethod              string  `gorm:"column:puncture_method" json:"puncture_method"`
	BloodAccessInternalFistula  string  `gorm:"column:blood_access_internal_fistula" json:"blood_access_internal_fistula"`
	InternalFistulaOther        string  `gorm:"column:internal_fistula_other" json:"internal_fistula_other"`

	BloodAccessNoise               int64   `gorm:"column:blood_access_noise" json:"blood_access_noise"`
	PunctureWay                    string  `gorm:"column:puncture_way" json:"puncture_way"`
	VenousCatheterization          int64   `gorm:"column:venous_catheterization" json:"venous_catheterization"`
	VenousCatheterizationPart      int64   `gorm:"column:venous_catheterization_part" json:"venous_catheterization_part"`
	VenousCatheterizationPartOther string  `gorm:"column:venous_catheterization_part_other" json:"venous_catheterization_part_other"`
	DuctusArantii                  string  `gorm:"column:ductus_arantii" json:"ductus_arantii"`
	EmergencyTreatment             int64   `gorm:"column:emergency_treatment" json:"emergency_treatment"`
	EmergencyTreatmentOther        string  `gorm:"column:emergency_treatment_other" json:"emergency_treatment_other"`
	DialysisCount                  string  `gorm:"column:dialysis_count" json:"dialysis_count"`
	AssessmentDoctor               int64   `gorm:"column:assessment_doctor" json:"assessment_doctor"`
	AssessmentTime                 int64   `gorm:"column:assessment_time" json:"assessment_time"`
	MachineType                    string  `gorm:"column:machine_type" json:"machine_type"`
	IsInfect                       int64   `gorm:"column:is_infect" json:"is_infect"`
	Exposed                        float64 `gorm:"column:exposed" json:"exposed"`
	Skin                           string  `gorm:"column:skin" json:"skin"`
	SkinOther                      string  `gorm:"column:skin_other" json:"skin_other"`
	InfectOther                    string  `gorm:"column:infect_other" json:"infect_other"`
	DuctusArantiiOther             string  `gorm:"column:ductus_arantii_other" json:"ductus_arantii_other"`
	PunctureNeedle                 string  `gorm:"column:puncture_needle" json:"puncture_needle"`
	LastPostDialysisOther          string  `gorm:"column:last_post_dialysis_other" json:"last_post_dialysis_other"`
	SymptomBeforeDialysisOther     string  `gorm:"column:symptom_before_dialysis_other" json:"symptom_before_dialysis_other"`
	DialysisInterphaseOther        string  `gorm:"column:dialysis_interphase_other" json:"dialysis_interphase_other"`
	HumorExcessiveSymptom          string  `gorm:"column:humor_excessive_symptom" json:"humor_excessive_symptom"`
	Phinholing                     string  `gorm:"column:pinholing" json:"pinholing" form:"pinholing"`
	CatheterSuture                 string  `gorm:"column:catheter_suture" json:"catheter_suture" form:"catheter_suture"`
	CatheterSutureOther            string  `gorm:"column:catheter_suture_other" json:"catheter_suture_other" form:"catheter_suture_other"`
	UrineVolume                    float64 `gorm:"column:urine_volume" json:"urine_volume" form:"urine_volume"`
	Edema                          string  `gorm:"column:edema" json:"edema" form:"edema"`
	SpecialTreatment               string  `gorm:"column:special_treatment" json:"special_treatment" form:"special_treatment"`
	CatheterMaintenance            string  `gorm:"column:catheter_maintenance" json:"catheter_maintenance" form:"catheter_maintenance"`
	ThromubusType                  int64   `gorm:"column:thromubus_type" json:"thromubus_type" form:"thromubus_type"`
	ThrombusAv                     string  `gorm:"column:thrombus_av" json:"thrombus_av" form:"thrombus_av"`
	ThromubusA                     string  `gorm:"column:thromubus_a" json:"thromubus_a" form:"thromubus_a"`
	ThromubusV                     string  `gorm:"column:thromubus_v" json:"thromubus_v" form:"thromubus_v"`
	Dehydration                    string  `gorm:"column:dehydration" json:"dehydration" form:"dehydration"`
	PreDialysisDrugs               string  `gorm:"column:pre_dialysis_drugs" json:"pre_dialysis_drugs" form:"pre_dialysis_drugs"`
	Period                         int64   `gorm:"column:period" json:"period" form:"period"`
	EstimatedFoodIntake            string  `gorm:"column:estimated_food_intake" json:"estimated_food_intake" form:"estimated_food_intake"`
	BloodPressureDuringDialysis    string  `gorm:"column:blood_pressure_during_dialysis" json:"blood_pressure_during_dialysis" form:"blood_pressure_during_dialysis"`
	UreaBefor                      string  `gorm:"column:urea_befor" json:"urea_befor" form:"urea_befor"`
	Suction                        string  `gorm:"column:suction" json:"suction" form:"suction"`
}

func (PredialysisEvaluation) TableName() string {
	return "xt_assessment_before_dislysis"
}

type AssessmentAfterDislysis struct {
	ID                     int64   `gorm:"column:id" json:"id"`
	UserOrgId              int64   `gorm:"column:user_org_id" json:"user_org_id"`
	PatientId              int64   `gorm:"column:patient_id" json:"patient_id"`
	AssessmentDate         int64   `gorm:"column:assessment_date" json:"assessment_date"`
	DialysisOrderId        int64   `gorm:"column:dialysis_order_id" json:"dialysis_order_id"`
	Temperature            float64 `gorm:"column:temperature" json:"temperature"`
	PulseFrequency         float64 `gorm:"column:pulse_frequency" json:"pulse_frequency"`
	BreathingRate          float64 `gorm:"column:breathing_rate" json:"breathing_rate"`
	SystolicBloodPressure  float64 `gorm:"column:systolic_blood_pressure" json:"systolic_blood_pressure"`
	DiastolicBloodPressure float64 `gorm:"column:diastolic_blood_pressure" json:"diastolic_blood_pressure"`
	BloodPressureType      int64   `gorm:"column:blood_pressure_type" json:"blood_pressure_type"`
	ActualUltrafiltration  float64 `gorm:"column:actual_ultrafiltration" json:"actual_ultrafiltration"`
	ActualDisplacement     float64 `gorm:"column:actual_displacement" json:"actual_displacement"`
	ActualTreatmentHour    int64   `gorm:"column:actual_treatment_hour" json:"actual_treatment_hour"`
	ActualTreatmentMinute  int64   `gorm:"column:actual_treatment_minute" json:"actual_treatment_minute"`
	WeighingWay            string  `gorm:"column:weighing_way" json:"weighing_way"`
	WeightAfter            float64 `gorm:"column:weight_after" json:"weight_after"`
	AdditionalWeight       float64 `gorm:"column:additional_weight" json:"additional_weight"`
	WeightLoss             float64 `gorm:"column:weight_loss" json:"weight_loss"`
	Cruor                  string  `gorm:"column:cruor" json:"cruor"`
	SymptomAfterDialysis   string  `gorm:"column:symptom_after_dialysis" json:"symptom_after_dialysis"`
	InternalFistula        string  `gorm:"column:internal_fistula" json:"internal_fistula"`
	// InternalFistulaSkin             string  `gorm:"column:internal_fistula_skin" json:"internal_fistula_skin"`
	Catheter string `gorm:"column:catheter" json:"catheter"`
	// CatheterBend                    int     `gorm:"column:catheter_bend" json:"catheter_bend"`
	Complication                    string  `gorm:"column:complication" json:"complication"`
	Evaluator                       int64   `gorm:"column:evaluator" json:"evaluator"`
	Remark                          string  `gorm:"column:remark" json:"remark"`
	DialysisIntakes                 float64 `gorm:"column:dialysis_intakes" json:"dialysis_intakes"`
	DialysisIntakesFeed             int64   `gorm:"column:dialysis_intakes_feed" json:"dialysis_intakes_feed"`
	DialysisIntakesTransfusion      int64   `gorm:"column:dialysis_intakes_transfusion" json:"dialysis_intakes_transfusion"`
	DialysisIntakesBloodTransfusion int64   `gorm:"column:dialysis_intakes_blood_transfusion" json:"dialysis_intakes_blood_transfusion"`
	DialysisIntakesWashpipe         int64   `gorm:"column:dialysis_intakes_washpipe" json:"dialysis_intakes_washpipe"`
	Status                          int64   `gorm:"column:status" json:"status"`
	CreatedTime                     int64   `gorm:"column:created_time" json:"created_time"`
	UpdatedTime                     int64   `gorm:"column:updated_time" json:"updated_time"`
	Creater                         int64   `gorm:"column:creater" json:"creater"`
	Modifier                        int64   `gorm:"column:modifier" json:"modifier"`
	BloodAccessPartId               int64   `gorm:"column:blood_access_part_id" json:"blood_access_part_id"`
	BloodAccessPartOperaId          int64   `gorm:"column:blood_access_part_opera_id" json:"blood_access_part_opera_id"`
	PuncturePointOozingBlood        int64   `gorm:"column:puncture_point_oozing_blood" json:"puncture_point_oozing_blood"`
	PuncturePointHaematoma          int64   `gorm:"column:puncture_point_haematoma" json:"puncture_point_haematoma"`
	InternalFistulaTremorAc         int64   `gorm:"column:internal_fistula_tremor_ac" json:"internal_fistula_tremor_ac"`
	PatientGose                     int64   `gorm:"column:patient_gose" json:"patient_gose"`
	InpatientDepartment             string  `gorm:"column:inpatient_department" json:"inpatient_department"`
	ObservationContent              string  `gorm:"column:observation_content" json:"observation_content"`
	ObservationContentOther         string  `gorm:"column:observation_content_other" json:"observation_content_other"`
	DryWeight                       float64 `gorm:"column:dry_weight" json:"dry_weight"`
	DialysisProcess                 int64   `gorm:"column:dialysis_process" json:"dialysis_process"`
	InAdvanceMinute                 float64 `gorm:"column:in_advance_minute" json:"in_advance_minute"`
	InAdvanceReason                 string  `gorm:"column:in_advance_reason" json:"in_advance_reason"`
	HemostasisMinute                int64   `gorm:"column:hemostasis_minute" json:"hemostasis_minute"`
	HemostasisOpera                 int64   `gorm:"column:hemostasis_opera" json:"hemostasis_opera"`
	TremorNoise                     int64   `gorm:"column:tremor_noise" json:"tremor_noise"`
	DisequilibriumSyndrome          int64   `gorm:"column:disequilibrium_syndrome" json:"disequilibrium_syndrome"`
	DisequilibriumSyndromeOption    string  `gorm:"column:disequilibrium_syndrome_option" json:"disequilibrium_syndrome_option"`
	ArterialTube                    int64   `gorm:"column:arterial_tube" json:"arterial_tube"`
	IntravenousTube                 int64   `gorm:"column:intravenous_tube" json:"intravenous_tube"`
	Dialyzer                        int64   `gorm:"column:dialyzer" json:"dialyzer"`
	InAdvanceReasonOther            string  `gorm:"column:in_advance_reason_other" json:"in_advance_reason_other"`
	AssessmentTime                  int64   `gorm:"column:assessment_time" json:"assessment_time"`
	AssessmentDoctor                int64   `gorm:"column:assessment_doctor" json:"assessment_doctor"`
	IsEat                           int64   `gorm:"column:is_eat" json:"is_eat"`
	DialysisIntakesUnit             int64   `gorm:"column:dialysis_intakes_unit" json:"dialysis_intakes_unit"`
	CvcA                            float64 `gorm:"column:cvc_a" json:"cvc_a" form:"cvc_a"`
	CvcV                            float64 `gorm:"column:cvc_v" json:"cvc_v" form:"cvc_v"`
	ReturnBlood                     int64   `gorm:"column:return_blood" json:"return_blood" form:"return_blood"`
	RehydrationVolume               int64   `gorm:"column:rehydration_volume" json:"rehydration_volume" form:"rehydration_volume"`
	DialysisDuring                  int64   `gorm:"column:dialysis_during" json:"dialysis_during" form:"dialysis_during"`
	StrokeVolume                    int64   `gorm:"column:stroke_volume" json:"stroke_volume" form:"stroke_volume"`
	Channel                         int64   `gorm:"column:channel" json:"channel" form:"channel"`
	BloodFlow                       int64   `gorm:"column:blood_flow" json:"blood_flow" form:"blood_flow"`
	SealingFluidDispose             string  `gorm:"column:sealing_fluid_dispose" json:"sealing_fluid_dispose" form:"sealing_fluid_dispose"`
	SealingFluidSpecial             string  `gorm:"column:sealing_fluid_special" json:"sealing_fluid_special" form:"sealing_fluid_special"`
	DosageOfAnticoagulants          float64 `gorm:"column:dosage_of_anticoagulants" json:"dosage_of_anticoagulants" form:"dosage_of_anticoagulants"`
	SupineSystolicBloodPressure     string  `gorm:"column:supine_systolic_blood_pressure" json:"supine_systolic_blood_pressure" form:"supine_systolic_blood_pressure"`
	SettingPressure                 string  `gorm:"column:setting_pressure" json:"setting_pressure" form:"setting_pressure"`
	SupineDiastolicBloodPressure    string  `gorm:"column:supine_diastolic_blood_pressure" json:"supine_diastolic_blood_pressure" form:"supine_diastolic_blood_pressure"`
	DiastolicPressure               string  `gorm:"column:diastolic_pressure" json:"diastolic_pressure" form:"diastolic_pressure"`
	OtherComplication               string  `gorm:"column:other_complication" json:"other_complication" form:"other_complication"`
	Ktv                             string  `gorm:"column:ktv" json:"ktv" form:"ktv"`
	Urr                             string  `gorm:"column:urr" json:"urr" form:"urr"`
	Hypertenison                    int64   `gorm:"column:hypertenison" json:"hypertenison" form:"hypertenison"`
	Hypopiesia                      int64   `gorm:"column:hypopiesia" json:"hypopiesia" form:"hypopiesia"`
	LeaveOfficeMethod               int64   `gorm:"column:leave_office_method" json:"leave_office_method" form:"leave_office_method"`
	Lapse                           int64   `gorm:"column:lapse" json:"lapse" form:"lapse"`
	Consciousness                   int64   `gorm:"column:consciousness" json:"consciousness" form:"consciousness"`
	Fallrisk                        int64   `gorm:"column:fallrisk" json:"fallrisk" form:"fallrisk"`
	MachineRun                      string  `gorm:"column:machine_run" json:"machine_run" form:"machine_run"`
	AfterUrea                       string  `gorm:"column:after_urea" json:"after_urea" form:"after_urea"`
	PipCoagulation                  string  `gorm:"column:pip_coagulation" json:"pip_coagulation" form:"pip_coagulation"`
}

func (AssessmentAfterDislysis) TableName() string {
	return "xt_assessment_after_dislysis"
}

type MonitoringRecord struct {
	ID                          int64   `gorm:"column:id" json:"id"`
	UserOrgId                   int64   `gorm:"column:user_org_id" json:"user_org_id"`
	PatientId                   int64   `gorm:"column:patient_id" json:"patient_id"`
	DialysisOrderId             int64   `gorm:"column:dialysis_order_id" json:"dialysis_order_id"`
	MonitoringDate              int64   `gorm:"column:monitoring_date" json:"monitoring_date"`
	OperateTime                 int64   `gorm:"column:operate_time" json:"operate_time"`
	MonitoringTime              string  `gorm:"column:monitoring_time" json:"monitoring_time"`
	PulseFrequency              float64 `gorm:"column:pulse_frequency" json:"pulse_frequency"`
	BreathingRate               float64 `gorm:"column:breathing_rate" json:"breathing_rate"`
	SystolicBloodPressure       float64 `gorm:"column:systolic_blood_pressure" json:"systolic_blood_pressure"`
	DiastolicBloodPressure      float64 `gorm:"column:diastolic_blood_pressure" json:"diastolic_blood_pressure"`
	BloodPressureType           int64   `gorm:"column:blood_pressure_type" json:"blood_pressure_type"`
	Pic                         string  `gorm:"column:pic" json:"pic"`
	BloodFlowVolume             float64 `gorm:"column:blood_flow_volume" json:"blood_flow_volume"`
	VenousPressure              float64 `gorm:"column:venous_pressure" json:"venous_pressure"`
	VenousPressureType          int64   `gorm:"column:venous_pressure_type" json:"venous_pressure_type"`
	ArterialPressure            float64 `gorm:"column:arterial_pressure" json:"arterial_pressure"`
	ArterialPressureType        int64   `gorm:"column:arterial_pressure_type" json:"arterial_pressure_type"`
	TransmembranePressure       float64 `gorm:"column:transmembrane_pressure" json:"transmembrane_pressure"`
	TransmembranePressureType   int64   `gorm:"column:transmembrane_pressure_type" json:"transmembrane_pressure_type"`
	UltrafiltrationRate         float64 `gorm:"column:ultrafiltration_rate" json:"ultrafiltration_rate"`
	UltrafiltrationVolume       float64 `gorm:"column:ultrafiltration_volume" json:"ultrafiltration_volume"`
	SodiumConcentration         float64 `gorm:"column:sodium_concentration" json:"sodium_concentration"`
	DialysateTemperature        float64 `gorm:"column:dialysate_temperature" json:"dialysate_temperature"`
	Temperature                 float64 `gorm:"column:temperature" json:"temperature"`
	ReplacementRate             float64 `gorm:"column:replacement_rate" json:"replacement_rate"`
	DisplacementQuantity        float64 `gorm:"column:displacement_quantity" json:"displacement_quantity"`
	Ktv                         float64 `gorm:"column:ktv" json:"ktv"`
	Symptom                     string  `gorm:"column:symptom" json:"symptom"`
	Dispose                     string  `gorm:"column:dispose" json:"dispose"`
	Result                      string  `gorm:"column:result" json:"result"`
	MonitoringNurse             int64   `gorm:"column:monitoring_nurse" json:"monitoring_nurse"`
	Status                      int64   `gorm:"column:status" json:"status"`
	CreatedTime                 int64   `gorm:"column:created_time" json:"created_time"`
	UpdatedTime                 int64   `gorm:"column:updated_time" json:"updated_time"`
	Conductivity                float64 `gorm:"column:conductivity" json:"conductivity"`
	DisplacementFlowQuantity    float64 `gorm:"column:displacement_flow_quantity" json:"displacement_flow_quantity"`
	BloodOxygenSaturation       string  `gorm:"column:blood_oxygen_saturation" json:"blood_oxygen_saturation" form:"blood_oxygen_saturation"`
	Creator                     int64   `gorm:"column:creator" json:"creator" form:"creator"`
	Modify                      int64   `gorm:"column:modify" json:"modify" form:"modify"`
	Heparin                     float64 `gorm:"column:heparin" json:"heparin" form:"heparin"`
	DialysateFlow               float64 `gorm:"column:dialysate_flow" json:"dialysate_flow" form:"dialysate_flow"`
	Urr                         string  `gorm:"column:urr" json:"urr"`
	BloodSugar                  float64 `gorm:"column:blood_sugar" json:"blood_sugar" form:"blood_sugar"`
	MonitorAnticoagulant        int64   `gorm:"column:monitor_anticoagulant" json:"monitor_anticoagulant" form:"monitor_anticoagulant"`
	MonitorAnticoagulantValue   string  `gorm:"column:monitor_anticoagulant_value" json:"monitor_anticoagulant_value" form:"monitor_anticoagulant_value"`
	BloodPressureMonitoringSite int64   `gorm:"column:blood_pressure_monitoring_site" json:"blood_pressure_monitoring_site" form:"blood_pressure_monitoring_site"`
	Complication                int64   `gorm:"column:complication" json:"complication" form:"complication"`
	AccumulatedBloodVolume      float64 `gorm:"column:accumulated_blood_volume" json:"accumulated_blood_volume" form:"accumulated_blood_volume"`
	BloodTemperature            float64 `gorm:"column:blood_temperature" json:"blood_temperature" form:"blood_temperature"`
	UreaMonitoring              float64 `gorm:"column:urea_monitoring" json:"urea_monitoring" form:"urea_monitoring"`
	BloodThickness              float64 `gorm:"column:blood_thickness" json:"blood_thickness" form:"blood_thickness"`
	BloodMonitor                float64 `gorm:"column:blood_monitor" json:"blood_monitor" form:"blood_monitor"`
	HeparinAmount               float64 `gorm:"column:heparin_amount" json:"heparin_amount" form:"heparin_amount"`
	Dehydration                 float64 `gorm:"column:dehydration" json:"dehydration" form:"dehydration"`
}

func (MonitoringRecord) TableName() string {
	return "xt_monitoring_record"
}
