package routers

import (
	"IC/controllers"
	"github.com/astaxie/beego"
)

func init() {
	beego.Router("/", &controllers.MainController{})
	beego.Router("/api/lis/getlist", &controllers.LisController{}, "get:GetList")
	beego.Router("/api/lis/synctobase", &controllers.LisController{}, "get:SyncToBase")
	beego.Router("/api/lis/synfiled", &controllers.LisController{}, "get:FiledConfigSys")
	beego.Router("/api/lis/syncadvice", &controllers.LisController{}, "get:SyncAdvice")
	beego.Router("/api/lis/lgeysync", &controllers.LisController{}, "get:SyncLgth")
	beego.Router("/api/lis/ystxsync", &controllers.LisController{}, "get:SyncYstx")
	beego.Router("/api/lis/gzjhyzsync", &controllers.LisController{}, "get:SyncGzjhyz")
	beego.Router("/api/lis/gzjhlissync", &controllers.LisController{}, "get:SyncGzjhLis")
	beego.Router("/api/lis/hbdyyzsync", &controllers.LisController{}, "get:SyncHbJldyyz")
	beego.Router("/api/lis/hbdylissync", &controllers.LisController{}, "get:SyncHbJldyLis")
	beego.Router("/api/lis/tscylissync", &controllers.LisController{}, "get:SyncTscyLis")
	beego.Router("/api/lis/fjtflissync", &controllers.LisController{}, "get:SyncFjtfLis")
	beego.Router("/api/lis/csnylissync", &controllers.LisController{}, "get:SyncCsnyLis")

	//百霖lis
	beego.Router("/api/lis/bltest", &controllers.LisController{}, "get:SyncBlLis")
	beego.Router("/api/lis/blresulttest", &controllers.LisController{}, "get:SyncBlResultLis")
	beego.Router("/api/schedule", &controllers.LisController{}, "get:Schedule")

	beego.Router("/api/syncshLis", &controllers.LisController{}, "get:SyncShLis")
	beego.Router("/api/syncszblis", &controllers.LisController{}, "get:SyncSzblLis")
	beego.Router("/api/test", &controllers.LisController{}, "get:SyncTest")
	//beego.Router("/api/lis/gzjhxytx", &controllers.LisController{}, "get:SyncGzjhxytx")
	//beego.Router("/api/lis/scdckfyy", &controllers.LisController{}, "get:SyncSccdkfyyLis")
	//beego.Router("/api/lis/pajm", &controllers.LisController{}, "get:SyncPajmLis")
	beego.Router("/api/lis/sssy", &controllers.LisController{}, "get:SyncSssy")
	beego.Router("/api/lis/tscyvip", &controllers.LisController{}, "get:SyncTscyVipLis")
	beego.Router("/api/lis/syncgzky", &controllers.LisController{}, "get:SyncGzky")
	beego.Router("/api/lis/syncszwz", &controllers.LisController{}, "get:SyncSzwz")
	beego.Router("/api/lis/syncpljx", &controllers.LisController{}, "get:SyncPljx")
	beego.Router("/api/lis/syncbjnc", &controllers.LisController{}, "get:SyncBjncLis")
	beego.Router("/api/lis/synczhra", &controllers.LisController{}, "get:SyncZhraLis")
}
